GET /{blockchain}/v2/xpub/{xpub}

chain49.com

Summary: Get xpub V2
Operation ID: getXpubV2
Auth: unknown
Description

Returns balances and transactions of an xpub or output descriptor, applicable only for Bitcoin-type coins. Blockbook supports BIP44, BIP49, BIP84 and BIP86 (Taproot) derivation schemes, using either xpubs or output descriptors (see https://github.com/bitcoin/bitcoin/blob/master/doc/descriptors.md) Note: usedTokens always returns total number of used addresses of xpub. Detailed documentation found here: https://github.com/trezor/blockbook/blob/master/docs/api.md#get-xpub

Parameters (9)

blockchain (string, path, required)

Blockchain name

details (string, query, optional, default: txids)

specifies level of details returned by request

Constraints: {'enum': ['basic', 'tokens', 'tokenBalances', 'txids', 'txslight', 'txs']}

fromBlock (integer, query, optional)

filter of the returned transactions from block height to block height (default no filter)

page (integer, query, optional)

specifies page of returned transactions, starting from 1. If out of range, Blockbook returns the closest possible page.

pageSize (integer, query, optional)

number of transactions returned by call (default and maximum 1000)

secondary (string, query, optional)

specifies secondary (fiat) currency in which the token and total balances are returned in addition to crypto values

toBlock (integer, query, optional)

filter of the returned transactions from block height to block height (default no filter)

tokens (string, query, optional, default: nonzero)

specifies what tokens (xpub addresses) are returned by the request (default nonzero)

Constraints: {'enum': ['nonzero', 'used', 'derived']}

xpub (string, path, required)

xpub or output descriptor, applicable only for Bitcoin-type coins

No probe data for this endpoint yet.